<?php

namespace Drupal\sitename_by_path\EventSubscriber;

use Symfony\Component\HttpKernel\KernelEvents;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
 * On page exit revert site vars.
 */
class SitenameByPathExit implements EventSubscriberInterface {

  /**
   * On page exit revert site vars.
   */
  public function terminate() {
    // Reset drupal sitename and frontpage from temp vars.
    $config = \Drupal::service('config.factory')->getEditable('system.site');
    $config->set('name', \Drupal::config('sitename_by_path.vars')->get('sitename'))->save();
    $config = \Drupal::service('config.factory')->getEditable('system.site');
    $config->set('page.front', \Drupal::config('sitename_by_path.vars')->get('frontpage'))->save();
  }

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents() {
    $events[KernelEvents::TERMINATE][] = ['terminate'];
    return $events;
  }

}
